# QSlider Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractSlider.

### Constructor

- void QSlider(QWidget parent)
- void QSlider(Orientation orientation, QWidget parent)

### Constructor Properties

- prototype: The QSlider prototype object
- NoTicks = 0
- TicksAbove = 1
- TicksBelow = 2
- TicksBothSides = 3
- TickPosition( value )

### Prototype Object Properties

The QSlider prototype object inherits properties from the QAbstractSlider prototype object and also has the following properties.

- QSize minimumSizeHint()
- QSize sizeHint()

### Instance Properties

QSlider objects inherit properties from the QSlider prototype object and also have the following properties.

- tickPosition
- tickInterval